using System.Windows;
using EstimateTracker.ViewModels;
using Ninject;

namespace EstimateTracker
{
    public class ViewModelLocator 
    {
        private readonly IKernel _kernel;

        public ViewModelLocator()
        {
            _kernel = new StandardKernel(new EstimateTrackerModule());
        }

        public MainViewModel MainViewModel
        {
            get { return _kernel.Get<MainViewModel>(); }
        }

        public T Get<T>()
        {
            return _kernel.Get<T>();
        }
    }
}