using System;
using JetBrains.Annotations;
using Microsoft.Practices.Prism.Events;

namespace EstimateTracker.ViewModels
{
    public class MainViewModel:ViewModelBase
    {
        public MainViewModel([NotNull] TimerTabViewModel timerTabViewModel, [NotNull] ReportSummaryViewModel reportSummaryViewModel)
        {
            if (timerTabViewModel == null) throw new ArgumentNullException("TimerTabViewModel");
            if (reportSummaryViewModel == null) throw new ArgumentNullException("reportSummaryViewModel");
            TimerTabViewModel = timerTabViewModel;
            ReportSummaryViewModel = reportSummaryViewModel;
        }

        public TimerTabViewModel TimerTabViewModel { get; private set; }

        public ReportSummaryViewModel ReportSummaryViewModel { get; private set; }
    }
}